## ros-indigo-denso-controller 1.1.8

=== CMakeLists.txt ===
if(NOT USE_ROSBUILD)
  include(catkin.cmake)
  return()
endif()
cmake_minimum_required(VERSION 2.4.6)
include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)

rosbuild_init()

#set the default path for built executables to the "bin" directory
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

#uncomment if you have defined messages
#rosbuild_genmsg()
#uncomment if you have defined services
#rosbuild_gensrv()

#common commands for building c++ executables and libraries
#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
# rosbuild_add_boost_directories()
#rosbuild_link_boost(${PROJECT_NAME} thread)
#rosbuild_add_executable(example examples/example.cpp)
#target_link_libraries(example ${PROJECT_NAME})
set_source_files_properties(src/b-Cap.c PROPERTIES LANGUAGE CXX)
rosbuild_add_executable(main src/b-Cap.c src/main.cpp)

# set(SETUP_DIRECTORY $ENV{XDG_DESKTOP_DIR})
# if ("${SETUP_DIRECTORY}" STREQUAL "")
#   set(SETUP_DIRECTORY $ENV{HOME}/Desktop)
# endif ("${SETUP_DIRECTORY}" STREQUAL "")
# set(PROJECT_SOURCE_DIR ${PROJECT_SOURCE_DIR})
# configure_file(${PROJECT_SOURCE_DIR}/DensoPickUp.desktop.in ${SETUP_DIRECTORY}/DensoPickUp.desktop)
# add_custom_target(desktop ALL DEPENDS ${PROJECT_SOURCE_DIR}/DensoPickUp.desktop.in)

=== debian/changelog ===
ros-indigo-denso-controller (1.1.8-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 02 Mar 2017 15:00:00 -0000

ros-indigo-denso-controller (1.1.7-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 22 Aug 2016 15:00:00 -0000

ros-indigo-denso-controller (1.1.6-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Jun 2016 15:00:00 -0000

ros-indigo-denso-controller (1.1.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 04 Apr 2016 15:00:00 -0000

ros-indigo-denso-controller (1.1.4-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 07 Feb 2016 15:00:00 -0000

ros-indigo-denso-controller (1.1.3-0trusty) trusty; urgency=high

  * call ROS_FATAL before exitting
  * do not print server:,,, udp_timeout:... for dryrun mode
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 03 Feb 2016 15:00:00 -0000

ros-indigo-denso-controller (1.1.2-0trusty) trusty; urgency=high

  * use newer api function
  * set velocity correctly
  * add functions for finalizing things, update recovery procedures
  * replace sleep with boost::this_thread::sleep
  * add function to reflect real robot state into controller manager
  * add emergency_stop variable
  * separate a procedure to fill buffer and re-use it
  * Contributors: Shohei Fujii

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 20 Dec 2015 15:00:00 -0000

ros-indigo-denso-controller (1.1.1-0trusty) trusty; urgency=high

  * [fix] Always run in a dryrun mode (fix #62 <https://github.com/start-jsk/denso/issues/62>)
  * Contributors: Shohei Fujii

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 02 Nov 2015 15:00:00 -0000

ros-indigo-denso-controller (1.1.0-0trusty) trusty; urgency=high

  * Fix stability issues by @ompugao
    
      * use macro inside recoverController basically
      * clear error before turn on motor
      * update recovery procedure
      * swept fprintf
      * check bcap status before sending jointvalues
        Question: is it possible to ensure a realtime loop in this way?
      * update recovery procedure
      * add debugging message
      * not to exit inside bcap initialization functions
      * add GetMode function, update recovery procedure
      * add a boilerplait for recovering controller
      * add utf message library
      * fix udp things
      * remove forgotten static variables
      * do not exit inside slvmove
      * minor outputmessage updates
      * add errorcode/errormessage handlers
      * add BCAP_VARIANT alignment fix
      * get rid of static variables
      * add deconstructor
      * get rid of fprintf
      * follow standard c++ style class member naming in DensoController
      * follow standard c++ style class member naming
      * errorp is not set anywhere
      * fix initialization procedure, and fix some output messages
      * do not divide first
      * fix typo
      * remove ros::shutdown, it's called in quitRequest
      * remove useless send command
      * oops, we cannot send clearerror in slave mode
      * use initializeCM
      * remove unused member variables
      * remove ugly 'need_exit'
      * fix error_code redeclaration
      * move intialization procedure to intialize function
      * remove useless lines
      * do not allocate vector everytime get current joint vlaues
      * comment out stoplog
      * change errorlog output
      * minor bugfix
      * treat b-Cap.c as cxx source file
      * fix allocation, fix debug message
      * disable send/recv time output
    
  * Contributors: Shohei Fujii

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 30 Oct 2015 15:00:00 -0000

ros-indigo-denso-controller (1.0.0-0trusty) trusty; urgency=high

  * update to indigo

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 29 Oct 2015 15:00:00 -0000

ros-indigo-denso-controller (0.2.9-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 06 Mar 2015 15:00:00 -0000

ros-indigo-denso-controller (0.2.8-0trusty) trusty; urgency=high

  * (denso_controller) Corrected copyright
  * Comfort to ROS Cpp style guide. Start adding comments (sorry two different types of commits mixed up here...editor did it and I can't revert it)
  * Contributors: Isaac IY Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 29 Jul 2014 15:00:00 -0000

ros-indigo-denso-controller (0.2.7-0trusty) trusty; urgency=high

  * Rename repository (Fix https://github.com/start-jsk/denso/issues/13, https://github.com/start-jsk/denso/issues/14)
  * Contributors: Isao Isaac Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 02 Jan 2014 15:00:00 -0000

ros-indigo-denso-controller (0.2.6-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2013 15:00:00 -0000

ros-indigo-denso-controller (0.2.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 10 Dec 2013 15:00:00 -0000

ros-indigo-denso-controller (0.2.4-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 09 Dec 2013 15:00:00 -0000

ros-indigo-denso-controller (0.2.3-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 06 Dec 2013 15:00:00 -0000

ros-indigo-denso-controller (0.2.2-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 05 Dec 2013 15:00:00 -0000

ros-indigo-denso-controller (0.2.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 05 Dec 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-denso-controller
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-open-controllers-interface, ros-indigo-roscpp
Homepage: http://wiki.ros.org/denso_controller
Standards-Version: 3.9.2

Package: ros-indigo-denso-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-open-controllers-interface, ros-indigo-roscpp
Description: This packages a common controller functionality for Denso's industrial manipulators based on ORiN (Open Robot interface for the Network), a unified network interface for industrial robot applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-denso-controller//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
